/**
 * [OElove] (C)2010-2099 oelove.com  biz
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 * $ Last update 2020/11/07 by BO $
*/
$(function () {
    function Profile () {
        this.initDistPicker();
        this.marry();
    }
    Profile.prototype = {
        initDistPicker: function () {
            new Dist({
                el: $('#dist'),
                dataType: '2'
            });
        },
        marry: function () {
            $('[f="marry"]').on('change', function () {
                var checkbox = $('[name="checkbox_marry"]:checked');
                var value = [];
                $.each(checkbox, function (i, v) {
                    value.push(v.value);
                });
                $('#marry').val(value.join(','));
            });
        },
    }
    new Profile();
});